[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#433214: gambas2: Please remove udeb

Package: gambas2
Version: 1.9.49-3
Severity: serious
Tags: d-i
Justification: unauthorized udeb

With your latest upload you have added a udeb to your package without
any justification and without any discussion with the Debian Installer
team on debian-boot at lists.debian.org.

Recently the Technical Committee reaffirmed [1] that udebs and the
debian-installer section of the archive are "owned" by the Debian
Installer team. Adding udebs to the archive without discussion with the
D-I team is therefore not acceptable.
Even though your intention does seem to be to use the udeb with the
installer, the basic principles are still the same as in that ruling.

See also: http://lists.debian.org/debian-boot/2007/07/msg00324.html.

Please remove the udeb from your package with your next upload.
You are of course free to start a discussion with the D-I team about
possible inclusion, but only _after_ the udeb has been removed.

Note that I have requested the Release Managers to block your package
from migrating to testing (as is normal for all packages with udebs).
I will request removal of that block once a new version without the
udeb has been uploaded.

Frans Pop
(former, but still acting D-I Release Manager)

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=15;bug=367709

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Reply to: